h3 {
  margin-bottom: 5px !important;
  font-size: 15px !important;
}

.content_box .synthetic_wrap {
  width: 100%;
  display: flex;
  /* end settings_wrap */
  /* end canvas_view */
}
.content_box .synthetic_wrap .settings_wrap {
  padding: 20px 35px 20px 0px;
  width: 35%;
  box-sizing: border-box;
}
.content_box .synthetic_wrap .settings_wrap .setting_group:not(:last-of-type) {
  margin-bottom: 20px;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .file_lable_wrap {
  word-break: break-all;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .file_lable_wrap label.file_label {
  padding: 15px 20px;
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #fff;
  box-sizing: border-box;
  border: solid 1px #ccc;
  border-radius: 5px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .file_lable_wrap label.file_label i {
  margin-right: 10px;
  width: 20px;
  height: 20px;
  display: block;
  background-image: url(./img/file_btn_ico.png);
  background-size: 20px 20px;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .file_lable_wrap label.file_label span.btn_copy {
  font-size: 14px;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .file_lable_wrap label.file_label input[type=file] {
  display: none;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .file_lable_wrap .file_name {
  margin-top: 5px;
  font-size: 12px;
  line-height: 1.25rem;
  color: #999;
  display: block;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .download_type_btn_list {
  display: flex;
  flex-wrap: wrap;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .download_type_btn_list label.download_type_btn {
  position: relative;
  top: 0px;
  left: 0px;
  padding: 10px;
  width: 50%;
  font-size: 14px;
  letter-spacing: 0.05em;
  text-align: center;
  color: #aaa;
  display: block;
  background-color: #dcdddd;
  box-sizing: border-box;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .download_type_btn_list label.download_type_btn input[type=radio] {
  display: none;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .download_type_btn_list label[for=download_type_png] {
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .download_type_btn_list label[for=download_type_jpeg] {
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  border-left: solid 1px #eee;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .download_type_btn_list label.checked_style {
  color: #fff;
  background-color: #f3a13f;
}
.content_box .synthetic_wrap .settings_wrap .setting_group label[for=fill_color_palette] {
  padding: 10px 20px;
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #fff;
  box-sizing: border-box;
  border: solid 1px #ccc;
  border-radius: 5px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;
}
.content_box .synthetic_wrap .settings_wrap .setting_group label[for=fill_color_palette] input#fill_color_palette {
  margin-right: 10px;
  width: 35px;
  height: 35px;
  border-radius: 0px;
  background: none;
  cursor: pointer;
}
.content_box .synthetic_wrap .settings_wrap .setting_group label[for=fill_color_palette] span.btn_copy {
  font-size: 14px;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .range_wrap {
  padding: 10px 20px;
  background-color: #fff;
  box-sizing: border-box;
  border: solid 1px #ccc;
  border-radius: 5px;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .range_wrap input[type=range] {
  margin-bottom: 8px;
  width: 100%;
  pointer-events: none;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .range_wrap input[type=range]::-webkit-slider-thumb {
  transform: scale(1.25);
  pointer-events: auto;
  cursor: pointer;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .range_wrap input[type=range]::-moz-range-thumb {
  transform: scale(1.25);
  pointer-events: auto;
  cursor: pointer;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .range_wrap input[type=range]::-moz-focus-outer {
  border: 0;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .range_wrap .rage_copy_wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .range_wrap .rage_copy_wrap span.range_copy {
  width: 20%;
  font-size: 12px;
  display: block;
}
.content_box .synthetic_wrap .settings_wrap .setting_group .range_wrap .rage_copy_wrap span.max_copy {
  text-align: right;
}
.content_box .synthetic_wrap .canvas_view {
  padding: 20px 0px 20px 35px;
  width: 65%;
  box-sizing: border-box;
  border-left: dotted 3px #ccc;
  /* end tab_wrap */
  /* end view_group */
}
.content_box .synthetic_wrap .canvas_view .tab_wrap {
  margin-bottom: 20px;
  width: 100%;
  height: auto;
  display: flex;
}
.content_box .synthetic_wrap .canvas_view .tab_wrap li {
  position: relative;
  top: 0px;
  left: 0px;
  padding: 15px 0px;
  width: 50%;
  height: auto;
  text-align: center;
  letter-spacing: 0.1rem;
  font-size: 1rem;
  font-weight: bold;
  color: #000;
  background-color: #fff;
  box-sizing: border-box;
  border: solid 1px #ccc;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;
}
.content_box .synthetic_wrap .canvas_view .tab_wrap li:first-of-type {
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
}
.content_box .synthetic_wrap .canvas_view .tab_wrap li:last-of-type {
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}
.content_box .synthetic_wrap .canvas_view .tab_wrap .active {
  color: #fff;
  background-color: #429ce6;
  border: none;
}
.content_box .synthetic_wrap .canvas_view .view_group {
  position: relative;
  top: 0px;
  left: 0px;
  margin-bottom: 20px;
}
.content_box .synthetic_wrap .canvas_view .view_group canvas,
.content_box .synthetic_wrap .canvas_view .view_group img {
  max-width: 100%;
  max-height: 650px;
  vertical-align: bottom;
}
.content_box .synthetic_wrap .canvas_view .view_group canvas.bg_image_canvas,
.content_box .synthetic_wrap .canvas_view .view_group img.preview_image {
  background-image: repeating-linear-gradient(45deg, #efefef 25%, transparent 25%, transparent 75%, #efefef 75%, #efefef), repeating-linear-gradient(45deg, #efefef 25%, #fff 25%, #fff 75%, #efefef 75%, #efefef);
  background-position: 0 0, 15px 15px;
  background-size: 30px 30px;
}
.content_box .synthetic_wrap .canvas_view .view_group .preview_wrap {
  z-index: 100;
  position: absolute;
  top: 0px;
  left: 0px;
}
.content_box .synthetic_wrap .canvas_view .view_group .position_setting_wrap {
  z-index: 1000;
  position: relative;
  top: 0px;
  left: 0px;
  overflow: hidden;
}
.content_box .synthetic_wrap .canvas_view .view_group .position_setting_wrap canvas.bg_image_canvas {
  z-index: 1;
  position: relative;
  top: 0px;
  left: 0px;
}
.content_box .synthetic_wrap .canvas_view .view_group .position_setting_wrap canvas.saturated_line_canvas {
  z-index: 2;
  position: absolute;
  top: 0px;
  left: 0px;
}
.content_box .synthetic_wrap .canvas_view .view_group .position_setting_wrap .controller_wrap {
  z-index: 3;
  position: absolute;
  top: 0px;
  left: 0px;
  overflow: hidden;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.content_box .synthetic_wrap .canvas_view .view_group .position_setting_wrap .controller_wrap .controller,
.content_box .synthetic_wrap .canvas_view .view_group .position_setting_wrap .controller_wrap .helper {
  position: absolute;
  height: auto;
  box-sizing: border-box;
  aspect-ratio: 1/1;
  border: solid 2px #000;
  box-shadow: 0px 0px 3px 1px rgba(255, 255, 255, 0.5);
  box-sizing: border-box;
  border-radius: 50%;
  transform: translate3d(0px, 0px, 0px);
}
.content_box .synthetic_wrap .canvas_view .view_group .position_setting_wrap .controller_wrap .controller {
  touch-action: none;
}
.content_box .synthetic_wrap .canvas_view .view_group .position_setting_wrap .controller_wrap #controller_center {
  z-index: 1;
  background-color: rgba(247, 19, 76, 0.5);
}
.content_box .synthetic_wrap .canvas_view .view_group .position_setting_wrap .controller_wrap #controller_center_length {
  z-index: 2;
  background-color: rgba(41, 116, 196, 0.5);
}
.content_box .synthetic_wrap .canvas_view .view_group .position_setting_wrap .controller_wrap #controller_center_length_helper {
  z-index: 0;
}
.content_box .synthetic_wrap .canvas_view .view_group .loading_wrap {
  z-index: 10000;
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  display: none;
  background-color: rgba(0, 0, 0, 0.5);
}
.content_box .synthetic_wrap .canvas_view .view_group .loading_wrap .loading_ico {
  position: absolute;
  top: 50%;
  left: 50%;
  padding: 1%;
  width: 9%;
  height: auto;
  background-color: #fff;
  border-radius: 5%;
  aspect-ratio: 1/1;
  transform: translate(-50%, -50%);
}
.content_box .synthetic_wrap .canvas_view .view_group .loading_wrap .loading_ico img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
  object-fit: contain;
}
.content_box .synthetic_wrap .canvas_view .preview_active .position_setting_wrap {
  visibility: hidden;
}
.content_box .synthetic_wrap .canvas_view p.warning {
  margin-bottom: 20px;
}
.content_box .synthetic_wrap .canvas_view .download_btn {
  padding: 15px 20px;
  text-align: center;
  text-decoration: none;
  color: #fff;
  font-size: 1.25rem;
  font-weight: bold;
  background-color: #f3a13f;
  border-radius: 5px;
  box-sizing: border-box;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;
  transition: opacity 0.3s;
}
.content_box .synthetic_wrap .canvas_view .download_btn:hover {
  opacity: 0.75;
}
.content_box .synthetic_wrap .canvas_view .download_btn .download_btn_inner {
  display: flex;
  justify-content: center;
  align-items: center;
}
.content_box .synthetic_wrap .canvas_view .download_btn .download_btn_inner i {
  margin-right: 10px;
  width: 25px;
  height: 25px;
  display: block;
  background-image: url(./img/download_btn_ico.png);
  background-size: 25px 25px;
}
.content_box .synthetic_wrap .canvas_view .download_btn .download_btn_inner span.default_copy {
  display: block;
}
.content_box .synthetic_wrap .canvas_view .download_btn .download_btn_inner span.downloading_copy {
  display: none;
}
.content_box .synthetic_wrap .canvas_view .downloading {
  background-color: #888;
  pointer-events: none;
  cursor: default;
}
.content_box .synthetic_wrap .canvas_view .downloading .download_btn_inner span.default_copy {
  display: none;
}
.content_box .synthetic_wrap .canvas_view .downloading .download_btn_inner span.downloading_copy {
  display: block;
}

@media screen and (max-width: 480px) {
  .container main {
    width: 100%;
  }
  .container main .content_box {
    padding: 35px 10px 35px 10px !important;
    border: none !important;
  }
  .container main .content_box .synthetic_wrap {
    display: block;
    /* end settings_wrap */
  }
  .container main .content_box .synthetic_wrap .settings_wrap {
    padding: 0px;
    width: 100%;
  }
  .container main .content_box .synthetic_wrap .canvas_view {
    margin-top: 40px;
    padding: 0px;
    width: 100%;
    border-left: none;
  }
}